Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider Class Reference

| Bio Radio SDK - Xamarin Android

Classes | Public Member Functions | Properties | List of all members
GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider Class Reference

Memory file stream provider. More...

Inheritance diagram for GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider:

## Public Member Functions

void | Dispose ()
| Releases all resource used by the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider object. More...
System.IO.Stream | CreateOutputStream (string fileName)
| Callback to create a stream with the specified file name. More...
System.IO.Stream | GetReceivedFileStream (int index)
| Retrieves a readable stream that has been previously created by the provider. More...
| MemoryFileStreamProvider ()
| Initializes a new instance of the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider class. More...

## Properties

int | StreamCount`[get]`
| Returns the number of streams that have been created by this provider. More...
Properties inherited from GLNeuroTech.Devices.Common.FileTransfer.IFileStreamProvider
int | StreamCount`[get]`
| Returns the number of streams that have been created by this provider. More...

## Detailed Description

Memory file stream provider.

## Constructor & Destructor Documentation

## ◆ MemoryFileStreamProvider()

GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider.MemoryFileStreamProvider | ( |  | ) |

Initializes a new instance of the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider class.

## Member Function Documentation

## ◆ CreateOutputStream()

System.IO.Stream GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider.CreateOutputStream | ( | string | fileName | ) |

Callback to create a stream with the specified file name.

Parameters

  fileName | The name of the file that should be created.

Returns
  An opened stream ready for writing.

Implements GLNeuroTech.Devices.Common.FileTransfer.IFileStreamProvider.

## ◆ Dispose()

void GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider.Dispose | ( |  | ) |

Releases all resource used by the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider object.

Call Dispose when you are finished using the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider. The Dispose method leaves the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider in an unusable state. After calling Dispose, you must release all references to the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider so the garbage collector can reclaim the memory that the GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider was occupying.

## ◆ GetReceivedFileStream()

System.IO.Stream GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider.GetReceivedFileStream | ( | int | index | ) |

Retrieves a readable stream that has been previously created by the provider.

Parameters

  index |

Returns

Implements GLNeuroTech.Devices.Common.FileTransfer.IFileStreamProvider.

## Property Documentation

## ◆ StreamCount

int GLNeuroTech.Devices.Common.FileTransfer.MemoryFileStreamProvider.StreamCount

get

Returns the number of streams that have been created by this provider.

The stream count.